---
updatedAt: 2026-06-24T12:40:23.000Z
agentTools:
  projectIndex: https://developer.validic.com/llms.txt
---

# Summaries

Returns a list of summaries for a given user.

GET /organizations/:org_id/users/:uid/summaries

## Request Information

### Request Parameters

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Name
      </th>

      <th style={{ textAlign: "left" }}>
        Required Field
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        start_date
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        The start date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        end_date
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        The end date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        source
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        Used to filter records to source(s).  
        Example:  
        “...?source=fitbit,garmin”  
        or  
        “...?source=fitbit”
      </td>
    </tr>
  </tbody>
</Table>

### HTTP Response Status

| Response Code     | Description                                                   |
| :---------------- | :------------------------------------------------------------ |
| 200 (Ok)          | Indicates the request was received and a result was returned. |
| 400 (Bad Request) | Indicates that there was an error with request                |

### Field Description

|                       |         |                                                                                                                                                                                                                                                                                            |
| :-------------------- | :------ | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| version               | string  | Indicates the resource payload version. Validic will make future updates to the structure of the resource payload where breaking changes will receive a new version.                                                                                                                       |
| id                    | string  | Unique identifier for the record.                                                                                                                                                                                                                                                          |
| checksum              | string  | A derived value useful when comparing records with the same `id` for data updates.                                                                                                                                                                                                         |
| type                  | string  | The Validic Resource type. For Summaries records the type will be `summaries`.                                                                                                                                                                                                             |
| start\_time           | string  | The start time of the event represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                              |
| end\_time             | string  | The end time of the event represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                                |
| utc\_offset           | integer | The offset in seconds from UTC.                                                                                                                                                                                                                                                            |
| offset\_origin        | string  | The source of the UTC offset. Valid values: `source` (UTC offset received from the original record), `profile` (UTC offset received from the source's user profile), `user_defined` (UTC offset provided by user's time zone selection upon authorization through the Validic Marketplace) |
| user                  | object  | A User object that contains identifiers related to the user.                                                                                                                                                                                                                               |
| user>uid              | string  | The customer's user ID.                                                                                                                                                                                                                                                                    |
| user>user\_id         | string  | Validic user ID.                                                                                                                                                                                                                                                                           |
| user>organization\_id | string  | Validic organization ID.                                                                                                                                                                                                                                                                   |
| log\_id               | string  | The unique identifier for the record provided by the source.                                                                                                                                                                                                                               |
| source                |         | A source object that contains source specific information.                                                                                                                                                                                                                                 |
| source>type           | string  | The source Validic retrieved the data from.                                                                                                                                                                                                                                                |
| source>device         | object  | A device object containing information about the device that generated the data if available.                                                                                                                                                                                              |
| source>device>name    | string  | The name of the device.                                                                                                                                                                                                                                                                    |
| source>device>type    | string  | The type of the device.                                                                                                                                                                                                                                                                    |
| name                  | string  | A free form field that defines the meal type or food type for the record.                                                                                                                                                                                                                  |
| category              | string  | The category of the summary. Valid values: `daily`.                                                                                                                                                                                                                                        |
| metrics               | array   | An array of Metrics. Refer to the Metrics documentation for further information.                                                                                                                                                                                                           |
| segments              | array   | An array of Segments. A more granular view of the items that compose the nutrition event.                                                                                                                                                                                                  |
| segment>name          | string  | A free form field that defines the food type for the segment.                                                                                                                                                                                                                              |
| segment>metrics       | array   | Metrics for the given segment.                                                                                                                                                                                                                                                             |
| created\_at           | string  | The record processed time represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                                |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "inform-data-resources",
    "version": "2.0"
  },
  "servers": [
    {
      "url": "https://api.v2.validic.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/organizations/{org_id}/users/{uid}/summaries?token={token}": {
      "get": {
        "summary": "Summaries",
        "description": "Returns a list of summaries for a given user.\n\nGET /organizations/:org_id/users/:uid/summaries",
        "operationId": "summaries",
        "parameters": [
          {
            "name": "org_id",
            "in": "path",
            "description": "Organization ID provided to you by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "uid",
            "in": "path",
            "description": "The UID you defined when provisioning the client.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "start_date",
            "in": "query",
            "description": "The start date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "end_date",
            "in": "query",
            "description": "The end date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Used to filter records to source(s).  Example:  “...?source=fitbit,garmin” or  “...?source=fitbit”",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "token",
            "in": "path",
            "description": "Developer Key as supplied by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "data": [
                        {
                          "category": "daily",
                          "checksum": "3dc1a50e1c7043578bcef544adc71675",
                          "created_at": "2026-04-19T16:48:10.059Z",
                          "deleted_at": null,
                          "end_time": "2026-04-20T04:59:59Z",
                          "id": "407bef9cff3SAMPLEbecc8f0f76c434",
                          "log_id": "2026-04-19",
                          "metrics": [
                            {
                              "type": "active_duration",
                              "origin": "device",
                              "unit": "s",
                              "value": 2820
                            },
                            {
                              "type": "fairly_active_duration",
                              "origin": "device",
                              "unit": "s",
                              "value": 660
                            },
                            {
                              "type": "lightly_active_duration",
                              "origin": "device",
                              "unit": "s",
                              "value": 3300
                            },
                            {
                              "type": "very_active_duration",
                              "origin": "device",
                              "unit": "s",
                              "value": 2160
                            },
                            {
                              "type": "active_energy_burned",
                              "origin": "device",
                              "unit": "kcal",
                              "value": 809
                            },
                            {
                              "type": "basal_energy_burned",
                              "origin": "device",
                              "unit": "kcal",
                              "value": 993
                            },
                            {
                              "type": "distance",
                              "origin": "device",
                              "unit": "m",
                              "value": 4390
                            },
                            {
                              "type": "energy_burned",
                              "origin": "device",
                              "unit": "kcal",
                              "value": 1686
                            },
                            {
                              "type": "steps",
                              "origin": "device",
                              "unit": "count",
                              "value": 6392
                            },
                            {
                              "type": "heart_rate_zone_very_low",
                              "origin": "device",
                              "unit": "s",
                              "value": 8400
                            },
                            {
                              "type": "heart_rate_zone_low",
                              "origin": "device",
                              "unit": "s",
                              "value": 5220
                            },
                            {
                              "type": "heart_rate_zone_medium",
                              "origin": "device",
                              "unit": "s",
                              "value": 1500
                            },
                            {
                              "type": "heart_rate_zone_high",
                              "origin": "device",
                              "unit": "s",
                              "value": 0
                            },
                            {
                              "type": "resting_heart_rate",
                              "origin": "device",
                              "unit": "bpm",
                              "value": 70
                            }
                          ],
                          "offset_origin": "profile",
                          "segments": [],
                          "source": {
                            "type": "fitbit",
                            "device": null
                          },
                          "start_time": "2026-04-19T05:00:00Z",
                          "tags": [],
                          "type": "summary",
                          "user": {
                            "organization_id": "597752338a5da500014a1f9a",
                            "user_id": "5c1003SAMPLE0012a6fc1",
                            "uid": "277040620-sel"
                          },
                          "user_notes": [],
                          "utc_offset": -18000,
                          "version": "1.0"
                        }
                      ]
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "category": {
                            "type": "string",
                            "example": "daily"
                          },
                          "checksum": {
                            "type": "string",
                            "example": "3dc1a50e1c7043578bcef544adc71675"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2019-12-19T16:48:10.059Z"
                          },
                          "deleted_at": {},
                          "end_time": {
                            "type": "string",
                            "example": "2019-12-20T04:59:59Z"
                          },
                          "id": {
                            "type": "string",
                            "example": "407bef9cff3SAMPLEbecc8f0f76c434"
                          },
                          "log_id": {
                            "type": "string",
                            "example": "2019-12-19"
                          },
                          "metrics": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "type": {
                                  "type": "string",
                                  "example": "active_duration"
                                },
                                "origin": {
                                  "type": "string",
                                  "example": "device"
                                },
                                "unit": {
                                  "type": "string",
                                  "example": "s"
                                },
                                "value": {
                                  "type": "integer",
                                  "example": 2820,
                                  "default": 0
                                }
                              }
                            }
                          },
                          "offset_origin": {
                            "type": "string",
                            "example": "profile"
                          },
                          "segments": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "source": {
                            "type": "object",
                            "properties": {
                              "type": {
                                "type": "string",
                                "example": "fitbit"
                              },
                              "device": {}
                            }
                          },
                          "start_time": {
                            "type": "string",
                            "example": "2019-12-19T05:00:00Z"
                          },
                          "tags": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "type": {
                            "type": "string",
                            "example": "summary"
                          },
                          "user": {
                            "type": "object",
                            "properties": {
                              "organization_id": {
                                "type": "string",
                                "example": "597752338a5da500014a1f9a"
                              },
                              "user_id": {
                                "type": "string",
                                "example": "5c1003SAMPLE0012a6fc1"
                              },
                              "uid": {
                                "type": "string",
                                "example": "277040620-sel"
                              }
                            }
                          },
                          "user_notes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "utc_offset": {
                            "type": "integer",
                            "example": -18000,
                            "default": 0
                          },
                          "version": {
                            "type": "string",
                            "example": "1.0"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Indicates that there was an error with request\n"
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errors\": [\n        \"Token is not authorized to access organization\"\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Token is not authorized to access organization"
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"message\": \"Invalid authentication credentials\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Invalid authentication credentials"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n  --url 'https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/277040620-sel/summaries?start_date=2026-03-29&token=6f46db36dd6543d2b82d91698fcd0896'"
            },
            {
              "language": "ruby",
              "code": "require 'uri'\nrequire 'net/http'\n\nurl = URI(\"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/277040620-sel/summaries?start_date=2026-03-29&token=6f46db36dd6543d2b82d91698fcd0896\")\n\nhttp = Net::HTTP.new(url.host, url.port)\n\nrequest = Net::HTTP::Get.new(url)\n\nresponse = http.request(request)\nputs response.read_body"
            },
            {
              "language": "python",
              "code": "import requests\n\nurl = \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/277040620-sel/summaries\"\n\nquerystring = {\"start_date\":\"2026-03-29\",\"token\":\"6f46db36dd6543d2b82d91698fcd0896\"}\n\nresponse = requests.request(\"GET\", url, params=querystring)\n\nprint(response.text)"
            },
            {
              "language": "go",
              "code": "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/277040620-sel/summaries?start_date=2026-03-29&token=6f46db36dd6543d2b82d91698fcd0896\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
            },
            {
              "language": "php",
              "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/277040620-sel/summaries?start_date=2026-03-29&token=6f46db36dd6543d2b82d91698fcd0896\",\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => \"\",\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 30,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => \"GET\",\n));\n\n$response = curl_exec($curl);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n  echo \"cURL Error #:\" . $err;\n} else {\n  echo $response;\n}"
            }
          ],
          "samples-languages": [
            "curl",
            "ruby",
            "python",
            "go",
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```